MyGUI: MyGUI::xml::ElementEnumerator Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
MyGUI::xml::ElementEnumerator Class Reference

`#include <MyGUI_XmlDocument.h>`

## Public Member Functions
bool | next ()
bool | next (const std::string &_name)
ElementPtr | operator-> () const
ElementPtr | current ()
bool | nextNode ()
bool | nextNode (const std::string &_name)
ElementPtr | currentNode ()

## Friends
class | Element

## Detailed Description

Definition at line 114 of file MyGUI_XmlDocument.h.

## Member Function Documentation

## ◆ current()

ElementPtr MyGUI::xml::ElementEnumerator::current | ( |  | ) |

Definition at line 131 of file MyGUI_XmlDocument.cpp.

## ◆ currentNode()

ElementPtr MyGUI::xml::ElementEnumerator::currentNode | ( |  | ) |
| inline

Deprecated
  "use : ElementPtr ElementEnumerator::current()"

Definition at line 142 of file MyGUI_XmlDocument.h.

## ◆ next() [1/2]

bool MyGUI::xml::ElementEnumerator::next | ( |  | ) |

Definition at line 100 of file MyGUI_XmlDocument.cpp.

## ◆ next() [2/2]

bool MyGUI::xml::ElementEnumerator::next | ( | const std::string & | _name | ) |

Definition at line 115 of file MyGUI_XmlDocument.cpp.

## ◆ nextNode() [1/2]

bool MyGUI::xml::ElementEnumerator::nextNode | ( |  | ) |
| inline

Deprecated
  "use : bool ElementEnumerator::next()"

Definition at line 132 of file MyGUI_XmlDocument.h.

## ◆ nextNode() [2/2]

bool MyGUI::xml::ElementEnumerator::nextNode | ( | const std::string & | _name | ) |
| inline

Deprecated
  "use : bool ElementEnumerator::next(const std::string& _name)"

Definition at line 137 of file MyGUI_XmlDocument.h.

## ◆ operator->()

ElementPtr MyGUI::xml::ElementEnumerator::operator-> | ( |  | ) | const

Definition at line 125 of file MyGUI_XmlDocument.cpp.

## Friends And Related Symbol Documentation

## ◆ Element

friend class Element
| friend

Definition at line 116 of file MyGUI_XmlDocument.h.

The documentation for this class was generated from the following files:

- MyGUI_XmlDocument.h
- MyGUI_XmlDocument.cpp